Bug 182016 - [patch] security/lynis new version
Summary: [patch] security/lynis new version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-11 16:50 UTC by Serhii (Sergey) Kozlov
Modified: 2013-09-25 22:01 UTC (History)
0 users

See Also:


Attachments
file.diff (1.84 KB, patch)
2013-09-11 16:50 UTC, Serhii (Sergey) Kozlov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Serhii (Sergey) Kozlov freebsd_committer 2013-09-11 16:50:00 UTC
Updated port to lynis-1.3.0

Changes:
Converted Makefile header to new style with convert-makefile-header.pl due to porttools fatal

Trivial PORTVERSION, distinfo and plist changes

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-09-11 16:50:07 UTC
Maintainer of security/lynis,

Please note that PR ports/182016 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182016

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-09-11 16:50:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 William Grzybowski freebsd_committer 2013-09-13 12:30:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-09-25 21:51:28 UTC
Author: wg
Date: Wed Sep 25 20:51:04 2013
New Revision: 328315
URL: http://svnweb.freebsd.org/changeset/ports/328315

Log:
  security/lynis: update to 1.3.0
  
  - Update to 1.3.0 [1]
  - Allow staging
  
  PR:		ports/182016 [1]
  Submitted by:	Kozlov Sergey <kozlov.sergey.404 gmail.com> [1]
  Approved by:	maintainer (timeout)

Modified:
  head/security/lynis/Makefile
  head/security/lynis/distinfo
  head/security/lynis/pkg-plist

Modified: head/security/lynis/Makefile
==============================================================================
--- head/security/lynis/Makefile	Wed Sep 25 20:50:00 2013	(r328314)
+++ head/security/lynis/Makefile	Wed Sep 25 20:51:04 2013	(r328315)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	lynis
-PORTVERSION=	1.2.9
+PORTVERSION=	1.3.0
 CATEGORIES=	security
 MASTER_SITES=	http://www.rootkit.nl/files/ \
 		http://downloads.rootkit.nl/
@@ -12,29 +12,21 @@ COMMENT=	Security and system auditing to
 
 NO_BUILD=	yes
 
-PORTDOCS=	*
-MAN8=		lynis.8
+PORTDOCS=	CHANGELOG INSTALL FAQ LICENSE README
 
-NO_STAGE=	yes
 post-patch:
 	@${REINPLACE_CMD} -e '/tINCLUDE_TARGETS/ s|".*"|"${DATADIR}/include"|; \
 		/tPLUGIN_TARGETS/ s|".*"|"${DATADIR}/plugins"|; \
 		/tDB_TARGETS/ s|".*"|"${DATADIR}/db"|' ${WRKSRC}/${PORTNAME}
 
 do-install:
-	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin/${PORTNAME}
-	${INSTALL_MAN} ${WRKSRC}/${PORTNAME}.8 ${MANPREFIX}/man/man8
-	${MKDIR} ${PREFIX}/etc/lynis
-	${INSTALL_DATA} ${WRKSRC}/default.prf ${PREFIX}/etc/lynis
-	${MKDIR} ${DATADIR}
-.for dir in include db dev plugins
-	cd ${WRKSRC} && ${COPYTREE_SHARE} ${dir} ${DATADIR}/
-.endfor
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-.for f in CHANGELOG INSTALL FAQ LICENSE README
-	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
-.endfor
-.endif
+	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME} ${STAGEDIR}${PREFIX}/bin/${PORTNAME}
+	${INSTALL_MAN} ${WRKSRC}/${PORTNAME}.8 ${STAGEDIR}${MANPREFIX}/man/man8
+	@${MKDIR} ${STAGEDIR}${PREFIX}/etc/lynis
+	${INSTALL_DATA} ${WRKSRC}/default.prf ${STAGEDIR}${PREFIX}/etc/lynis
+	@${MKDIR} ${STAGEDIR}${DATADIR}
+	cd ${WRKSRC} && ${COPYTREE_SHARE} "include db dev plugins" ${STAGEDIR}${DATADIR}/
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S,^,${WRKSRC}/,} ${STAGEDIR}${DOCSDIR}
 
 .include <bsd.port.mk>

Modified: head/security/lynis/distinfo
==============================================================================
--- head/security/lynis/distinfo	Wed Sep 25 20:50:00 2013	(r328314)
+++ head/security/lynis/distinfo	Wed Sep 25 20:51:04 2013	(r328315)
@@ -1,2 +1,2 @@
-SHA256 (lynis-1.2.9.tar.gz) = 51e69e0d45d6a879a0a22ba1144a49207dad7ed45764172769d67f21f60f5b79
-SIZE (lynis-1.2.9.tar.gz) = 117107
+SHA256 (lynis-1.3.0.tar.gz) = fe265965eb1ce8fac352e0bddea1d5ec6508c319bf88a5f63c2edecf2af6de54
+SIZE (lynis-1.3.0.tar.gz) = 119797

Modified: head/security/lynis/pkg-plist
==============================================================================
--- head/security/lynis/pkg-plist	Wed Sep 25 20:50:00 2013	(r328314)
+++ head/security/lynis/pkg-plist	Wed Sep 25 20:51:04 2013	(r328315)
@@ -1,5 +1,6 @@
 bin/lynis
 etc/lynis/default.prf
+man/man8/lynis.8.gz
 %%DATADIR%%/db/fileperms.db
 %%DATADIR%%/db/hints.db
 %%DATADIR%%/db/integrity.db
@@ -12,11 +13,8 @@ etc/lynis/default.prf
 %%DATADIR%%/dev/check-lynis.sh
 %%DATADIR%%/dev/files.dat
 %%DATADIR%%/dev/openbsd/+CONTENTS
+%%DATADIR%%/plugins/custom_plugin.template
 %%DATADIR%%/plugins/README
-%%DATADIR%%/plugins/plugin_access_files
-%%DATADIR%%/plugins/plugin_compliance_pci
-%%DATADIR%%/plugins/plugin_homedirs
-%%DATADIR%%/plugins/plugin_webserver_data
 %%DATADIR%%/include/binaries
 %%DATADIR%%/include/consts
 %%DATADIR%%/include/functions
@@ -59,7 +57,9 @@ etc/lynis/default.prf
 %%DATADIR%%/include/tests_ssh
 %%DATADIR%%/include/tests_storage
 %%DATADIR%%/include/tests_storage_nfs
+%%DATADIR%%/include/tests_tcpwrappers
 %%DATADIR%%/include/tests_time
+%%DATADIR%%/include/tests_tooling
 %%DATADIR%%/include/tests_virtualization
 %%DATADIR%%/include/tests_webservers
 @dirrm %%DATADIR%%/include
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 William Grzybowski freebsd_committer 2013-09-25 22:01:46 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!